Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class NVFloatBuffer

    java.lang.Object
      org.lwjgl.opengl.NVFloatBuffer

    public final class NVFloatBuffer

extends java.lang.Object

Field Summary
`static int` | `GL_FLOAT_CLEAR_COLOR_VALUE_NV` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` | `GL_FLOAT_R_NV` Accepted by the <internalformat> parameter of TexImage2D and CopyTexImage2D:
`static int` | `GL_FLOAT_R16_NV`
`static int` | `GL_FLOAT_R32_NV`
`static int` | `GL_FLOAT_RG_NV`
`static int` | `GL_FLOAT_RG16_NV`
`static int` | `GL_FLOAT_RG32_NV`
`static int` | `GL_FLOAT_RGB_NV`
`static int` | `GL_FLOAT_RGB16_NV`
`static int` | `GL_FLOAT_RGB32_NV`
`static int` | `GL_FLOAT_RGBA_MODE_NV`
`static int` | `GL_FLOAT_RGBA_NV`
`static int` | `GL_FLOAT_RGBA16_NV`
`static int` | `GL_FLOAT_RGBA32_NV`
`static int` | `GL_TEXTURE_FLOAT_COMPONENTS_NV` Accepted by the <pname> parameter of GetTexLevelParameterfv and GetTexLevelParameteriv:

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_FLOAT_R_NV

    public static final int GL_FLOAT_R_NV

  Accepted by the <internalformat> parameter of TexImage2D and CopyTexImage2D:

  See Also:
    Constant Field Values

### GL_FLOAT_RG_NV

    public static final int GL_FLOAT_RG_NV

See Also:
  Constant Field Values

### GL_FLOAT_RGB_NV

    public static final int GL_FLOAT_RGB_NV

See Also:
  Constant Field Values

### GL_FLOAT_RGBA_NV

    public static final int GL_FLOAT_RGBA_NV

See Also:
  Constant Field Values

### GL_FLOAT_R16_NV

    public static final int GL_FLOAT_R16_NV

See Also:
  Constant Field Values

### GL_FLOAT_R32_NV

    public static final int GL_FLOAT_R32_NV

See Also:
  Constant Field Values

### GL_FLOAT_RG16_NV

    public static final int GL_FLOAT_RG16_NV

See Also:
  Constant Field Values

### GL_FLOAT_RG32_NV

    public static final int GL_FLOAT_RG32_NV

See Also:
  Constant Field Values

### GL_FLOAT_RGB16_NV

    public static final int GL_FLOAT_RGB16_NV

See Also:
  Constant Field Values

### GL_FLOAT_RGB32_NV

    public static final int GL_FLOAT_RGB32_NV

See Also:
  Constant Field Values

### GL_FLOAT_RGBA16_NV

    public static final int GL_FLOAT_RGBA16_NV

See Also:
  Constant Field Values

### GL_FLOAT_RGBA32_NV

    public static final int GL_FLOAT_RGBA32_NV

See Also:
  Constant Field Values

### GL_TEXTURE_FLOAT_COMPONENTS_NV

    public static final int GL_TEXTURE_FLOAT_COMPONENTS_NV

  Accepted by the <pname> parameter of GetTexLevelParameterfv and GetTexLevelParameteriv:

  See Also:
    Constant Field Values

### GL_FLOAT_CLEAR_COLOR_VALUE_NV

    public static final int GL_FLOAT_CLEAR_COLOR_VALUE_NV

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_FLOAT_RGBA_MODE_NV

    public static final int GL_FLOAT_RGBA_MODE_NV

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.